/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmTabledef;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmTabledefRecord extends UpdatableRecordImpl<TDmTabledefRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_tabledef.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tabledef.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_tabledef.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tabledef.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_tabledef.fk_element</code>. reference to
     * key_element
     */
    public void setFkElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tabledef.fk_element</code>. reference to
     * key_element
     */
    public Integer getFkElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_tabledef.schemaname</code>. name of
     * oracle schema that contains data table
     */
    public void setSchemaname(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tabledef.schemaname</code>. name of
     * oracle schema that contains data table
     */
    public String getSchemaname() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmTabledefRecord
     */
    public TDmTabledefRecord() {
        super(TDmTabledef.T_DM_TABLEDEF);
    }

    /**
     * Create a detached, initialised TDmTabledefRecord
     */
    public TDmTabledefRecord(LocalDateTime lastchange, Integer pk, Integer fkElement, String schemaname) {
        super(TDmTabledef.T_DM_TABLEDEF);

        setLastchange(lastchange);
        setPk(pk);
        setFkElement(fkElement);
        setSchemaname(schemaname);
        resetChangedOnNotNull();
    }
}
